import osc


def myTest():
    
    osc.init()
    inSocket = osc.createListener(port=9001) # in this case just using one socket
    
    osc.bind(toggle, "/toggle1")
    osc.bind(button, "/button1")
    osc.bind(slider, "/slider1")
    osc.bind(slider2, "/slider2")
    osc.bind(choice, "/choice1")
    osc.bind(radio, "/radio1")
    osc.bind(num, "/num1")
    
    osc.bind(status, "/connected")

    import time # in this example we will have a small delay in the while loop
    
    while 1: # forever
        osc.getOSC(inSocket) # listen to incomming OSC in this socket

        time.sleep(0.5) # you don't need this, but otherwise we're sending as fast as possible.

        


""" Below some functions dealing with OSC messages RECEIVED to Python.
"""

def status(*msg):
    if msg[0][2] :
        print 'connected msg received from widgets server'
        osc.sendMsg('/connected', [1], port=9000) # confirm connection
    else:
        print 'widgets server just quit'

def toggle(*msg): print "toggle1", msg[0][2]
def button(*msg): print "button1", msg[0][2]
def slider(*msg): print "slider1", msg[0][2]
def slider2(*msg): print "slider2", msg[0][2]
def choice(*msg): print "choice1", msg[0][2]
def radio(*msg): print "radio1", msg[0][2]
def num(*msg): print "num1", msg[0][2]




if __name__ == '__main__': myTest()














